{{ header }}{{ column_left }}
<div id="content">
	<div class="page-header">
		<div class="container-fluid">
			<div class="pull-right">
				<button type="submit" form="form-paytm" data-toggle="tooltip" title="{{ button_save }}" class="btn btn-primary"><i class="fa fa-save"></i></button>
				<a href="{{ cancel }}" data-toggle="tooltip" title="{{ button_cancel }}" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
			<h1>{{ heading_title }}</h1>
			<ul class="breadcrumb">
				{% for breadcrumb in breadcrumbs %}
				<li><a href="{{ breadcrumb.href }}">{{ breadcrumb.text }}</a></li>
				{% endfor %}
			</ul>
		</div>
	</div>
	<div class="container-fluid">
		{% if error_warning %}
		<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> {{ error_warning }}
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		{% endif %}
		{% if curl_version == '' %}
		<div class="alert alert-warning"><i class="fa fa-exclamation-circle"></i> {{ text_curl_disabled }}
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		{% endif %}
		{% if warning %}
		<div class="alert alert-warning"><i class="fa fa-exclamation-circle"></i> {{ warning }}
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		{% endif %}
		<div class="panel panel-default">
			<div class="panel-body">
				<form action="{{ action }}" method="post" enctype="multipart/form-data" id="form-paytm" class="form-horizontal">
					<ul class="nav nav-tabs">
						<li class="active"><a href="#tab-general" data-toggle="tab">{{ tab_general }}</a></li>
						<li><a href="#tab-order-status" data-toggle="tab">{{ tab_order_status }}</a></li>
						<li><a href="#tab-promo-code" data-toggle="tab">{{ tab_promo_code }}</a></li>
					</ul>
					<div class="tab-content">
						<div class="tab-pane active" id="tab-general">
							<div class="form-group required">
								<label class="control-label col-sm-3" for="payment_paytm_merchant_id">
									<span data-toggle="tooltip" title="{{ entry_merchant_id_help }}">{{ entry_merchant_id }}</span>
								</label>
								<div class="col-sm-9">
									<input type="text" name="payment_paytm_merchant_id" id="payment_paytm_merchant_id" value="{{ payment_paytm_merchant_id }}" class="form-control"/>
									{% if error_merchant_id %}
									<div class="text-danger">{{ error_merchant_id }}</div>
									{% endif %}
								</div>
							</div>
							<div class="form-group required">
								<label class="control-label col-sm-3" for="payment_paytm_merchant_key">
									<span data-toggle="tooltip" title="{{ entry_merchant_key_help }}">{{ entry_merchant_key }}</span>
								</label>
								<div class="col-sm-9">
									<input type="text" name="payment_paytm_merchant_key" id="payment_paytm_merchant_key" value="{{ payment_paytm_merchant_key }}" class="form-control"/>
									{% if error_merchant_key %}
									<div class="text-danger">{{ error_merchant_key }}</div>
									{% endif %}
								</div>
							</div>
							<div class="form-group required">
								<label class="control-label col-sm-3" for="payment_paytm_website">
									<span data-toggle="tooltip" title="{{ entry_website_help }}">{{ entry_website }}</span>
								</label>
								<div class="col-sm-9">
									<input type="text" name="payment_paytm_website" id="payment_paytm_website" value="{{ payment_paytm_website }}" class="form-control"/>
									{% if error_website %}
									<div class="text-danger">{{ error_website }}</div>
									{% endif %}
								</div>
							</div>
					 		<div class="form-group required">
								<label class="control-label col-sm-3" for="payment_paytm_industry_type">
									<span data-toggle="tooltip" title="{{ entry_industry_type_help }}">{{ entry_industry_type }}</span>
								</label>
								<div class="col-sm-9">
									<input type="text" name="payment_paytm_industry_type" id="payment_paytm_industry_type" value="{{ payment_paytm_industry_type }}" class="form-control"/>
									{% if error_industry_type %}
									<div class="text-danger">{{ error_industry_type }}</div>
									{% endif %}
								</div>
							</div>
							<div class="form-group required">
								<label class="control-label col-sm-3" for="payment_paytm_transaction_url">
									<span data-toggle="tooltip" title="{{ entry_transaction_url_help }}">{{ entry_transaction_url }}</span>
								</label>
								<div class="col-sm-9">
									<input type="text" name="payment_paytm_transaction_url" id="payment_paytm_transaction_url" value="{{ payment_paytm_transaction_url }}" class="form-control"/>
									{% if error_transaction_url %}
									<div class="text-danger">{{ error_transaction_url }}</div>
									{% endif %}
								</div>
							</div>
							<div class="form-group required">
								<label class="control-label col-sm-3" for="payment_paytm_transaction_status_url">
									<span data-toggle="tooltip" title="{{ entry_transaction_status_url_help }}">{{ entry_transaction_status_url }}</span>
								</label>
								<div class="col-sm-9"><input type="text" name="payment_paytm_transaction_status_url" id="payment_paytm_transaction_status_url" value="{{ payment_paytm_transaction_status_url }}" class="form-control"/>
									{% if error_transaction_status_url %}
									<div class="text-danger">{{ error_transaction_status_url }}</div>
									{% endif %}
								</div>
							</div>
							<div class="form-group required">
								<label class="control-label col-sm-3" for="payment_paytm_callback_url_status">
									<span data-toggle="tooltip" title="{{ entry_callback_url_status_help }}">{{ entry_callback_url_status }}</span>
								</label>
								<div class="col-sm-9">
									<select name="payment_paytm_callback_url_status" id="payment_paytm_callback_url_status" class="form-control">
										{% if payment_paytm_callback_url_status %}
										<option value="1" selected="selected">{{ text_enabled }}</option>
										<option value="0">{{ text_disabled }}</option>
										{% else %}
										<option value="1">{{ text_enabled }}</option>
										<option value="0" selected="selected">{{ text_disabled }}</option>
										{% endif %}
									</select>
								</div>
							</div>
							<div class="callback_url_group form-group required">
								<label class="control-label col-sm-3" for="payment_paytm_callback_url">
									{{ entry_callback_url }}
								</label>
								<div class="col-sm-9">
									<input type="text" name="payment_paytm_callback_url" id="payment_paytm_callback_url" value="{{ payment_paytm_callback_url }}" class="form-control" {% if payment_paytm_callback_url_status == 0 %} {{ readonly }} {% endif %}/>
									{% if error_callback_url %}
									<div class="text-danger">{{ error_callback_url }}</div>
									{% endif %}
								</div>
							</div>
							<div class="form-group">
								<label class="col-sm-3 control-label" for="input-total"><span data-toggle="tooltip" title="{{ entry_total_help }}">{{ entry_total }}</span></label>
								<div class="col-sm-9">
								  <input type="text" name="payment_paytm_total" value="{{ payment_paytm_total }}" placeholder="{{ entry_total }}" id="input-total" class="form-control" />
								</div>
							 </div>
							<div class="form-group">
								<label class="col-sm-3 control-label" for="input-geo-zone">{{ entry_geo_zone }}</label>
								<div class="col-sm-9">
								  <select name="payment_paytm_geo_zone_id" id="input-geo-zone" class="form-control">
									 <option value="0">{{ text_all_zones }}</option>
									 {% for geo_zone in geo_zones %}
									 {% if geo_zone.geo_zone_id == payment_paytm_geo_zone_id %}
									 <option value="{{ geo_zone.geo_zone_id }}" selected="selected">{{ geo_zone.name }}</option>
									 {% else %}
									 <option value="{{ geo_zone.geo_zone_id }}">{{ geo_zone.name }}</option>
									 {% endif %}
									 {% endfor %}
								  </select>
								</div>
							 </div>
							<div class="form-group">
								<label class="control-label col-sm-3" for="payment_paytm_status">
									<span data-toggle="tooltip" title="{{ entry_status_help }}">{{ entry_status }}</span>
								</label>
								<div class="col-sm-9">
									<select name="payment_paytm_status" class="form-control">
										{% if payment_paytm_status %}
										<option value="1" selected="selected">{{ text_enabled }}</option>
										<option value="0">{{ text_disabled }}</option>
										{% else %}
										<option value="1">{{ text_enabled }}</option>
										<option value="0" selected="selected">{{ text_disabled }}</option>
										{% endif %}
									</select>
								</div>
							</div>

							<div class="form-group">
								<label class="col-sm-3 control-label" for="input-sort-order">{{ entry_sort_order }}</label>
								<div class="col-sm-9">
									<input type="text" name="payment_paytm_sort_order" value="{{ payment_paytm_sort_order }}" placeholder="{{ entry_sort_order }}" id="input-sort-order" class="form-control" />
								</div>
							</div>

							<div class="row-fluid">
								<div class="pull-right btn btn-primary" onclick="switchToTab('tab-order-status');">{{ text_next }}</div>
							</div>
						</div>
					
						<div class="tab-pane" id="tab-order-status">

							<div class="form-group">
								<label class="control-label col-sm-3" for="payment_paytm_order_success_status_id">
									<span data-toggle="tooltip" title="{{ entry_order_success_status_help }}">{{ entry_order_success_status }}</span>
								</label>
								<div class="col-sm-9">
									<select name="payment_paytm_order_success_status_id" id="payment_paytm_order_success_status_id" class="form-control">
									{% for order_status in order_statuses %}
										{% if order_status['order_status_id'] == payment_paytm_order_success_status_id %}
										<option value="{{ order_status['order_status_id'] }}" selected="selected">{{ order_status['name'] }}</option>
										{% else %}
										<option value="{{ order_status['order_status_id'] }}">{{ order_status['name'] }}</option>
										{% endif %}
									{% endfor %}
									</select>
								</div>
							</div>

							<div class="form-group">
								<label class="control-label col-sm-3" for="payment_paytm_order_failed_status_id">
									<span data-toggle="tooltip" title="{{ entry_order_failed_status_help }}">{{ entry_order_failed_status }}</span>
								</label>
								<div class="col-sm-9">
									<select name="payment_paytm_order_failed_status_id" id="payment_paytm_order_failed_status_id" class="form-control">
									{% for order_status in order_statuses %}
										{% if order_status['order_status_id'] == payment_paytm_order_failed_status_id %}
										<option value="{{ order_status['order_status_id'] }}" selected="selected">{{ order_status['name'] }}</option>
										{% else %}
										<option value="{{ order_status['order_status_id'] }}">{{ order_status['name'] }}</option>
										{% endif %}
									{% endfor %}
									</select>
								</div>
							</div>

							<div class="row-fluid">
								<div class="pull-right btn btn-primary" onclick="switchToTab('tab-promo-code');">{{ text_next }}</div>
							</div>
						</div>


						<div class="tab-pane" id="tab-promo-code">

							<div class="form-group">
								<label class="control-label col-sm-3" for="payment_paytm_promo_code_status">
									{{ entry_promo_code_status }}
								</label>
								<div class="col-sm-9">
									<select name="payment_paytm_promo_code_status" class="form-control">
										{% if payment_paytm_promo_code_status %}
										<option value="1" selected="selected">{{ text_enabled }}</option>
										<option value="0">{{ text_disabled }}</option>
										{% else %}
										<option value="1">{{ text_enabled }}</option>
										<option value="0" selected="selected">{{ text_disabled }}</option>
										{% endif %}
									</select>
									<span><b>{{ entry_promo_code_status_help1 }}</b></span>
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-sm-3" for="payment_paytm_promo_code_validation">
									<span data-toggle="tooltip" title="{{ entry_promo_code_validation_help1 }}">{{ entry_promo_code_validation }}</span>
								</label>
								<div class="col-sm-9">
									<select name="payment_paytm_promo_code_validation" class="form-control">
										{% if payment_paytm_promo_code_validation %}
										<option value="1" selected="selected">{{ text_enabled }}</option>
										<option value="0">{{ text_disabled }}</option>
										{% else %}
										<option value="1">{{ text_enabled }}</option>
										<option value="0" selected="selected">{{ text_disabled }}</option>
										{% endif %}
									</select>
									<span><b>{{ entry_promo_code_validation_help2 }}</b></span>
								</div>
							</div>
							<hr/>

							<table id="promo-codes" class="table table-striped table-bordered table-hover">
								<thead>
									<tr>
										<td class="text-left">
											<label class="control-label">
												<span data-toggle="tooltip" title="{{ entry_promo_code_help1 }}">{{ entry_promo_code }}</span>
											</label>
										</td>
										<td class="text-left">{{ entry_promo_code_status }}</td>
										<td class="text-left">{{ entry_promo_code_start_date }}</td>
										<td class="text-left">{{ entry_promo_code_end_date }}</td>
										<td></td>
									</tr>
								</thead>
								<tbody>
									{% set promo_code_row = 0 %}
									{% for code in payment_paytm_promo_codes %}
									<tr id="promo-code-row{{ promo_code_row }}">

										<td class="text-left">
											<input type="text" name="payment_paytm_promo_codes[{{ promo_code_row }}][code]" value="{{ code['code'] }}" placeholder="{{ entry_promo_code }}" class="form-control" />
											{% if error_promo_codes[promo_code_row]['promo_code'] %}
											<div class="text-danger">
												{{ error_promo_codes[promo_code_row]['promo_code'] }}
											</div>
											{% endif %}
										</td>

										<td class="text-left">
											<select name="payment_paytm_promo_codes[{{ promo_code_row }}][status]" class="form-control">
												{% if code['status'] %}
												<option value="1" selected="selected">{{ text_enabled }}</option>
												<option value="0">{{ text_disabled }}</option>
												{% else %}
												<option value="1">{{ text_enabled }}</option>
												<option value="0" selected="selected">{{ text_disabled }}</option>
												{% endif %}
											</select>
										</td>

										<td class="text-left">
											<div class="col-sm-12">
												<div class="input-group date">
													<input type="text" name="payment_paytm_promo_codes[{{ promo_code_row }}][start_date]" value="{{ code['start_date'] }}" placeholder="{{ entry_promo_code_start_date }}" data-format="YYYY-MM-DD" id="input-value{{ promo_code_row }}" class="form-control" maxlength="10"/>
													<span class="input-group-btn">
														<button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
													</span>
												</div>
												{% if error_promo_codes[promo_code_row]['start_date'] %}
												<div class="text-danger">
													{{ error_promo_codes[promo_code_row]['start_date'] }}
												</div>
												{% endif %}
											</div>
										</td>
										<td class="text-left">
											<div class="col-sm-12">
												<div class="input-group date">
													<input type="text" name="payment_paytm_promo_codes[{{ promo_code_row }}][end_date]" value="{{ code['end_date'] }}" placeholder="{{ entry_promo_code_end_date }}" data-format="YYYY-MM-DD" id="input-value{{ promo_code_row }}" class="form-control"  maxlength="10"/>
													<span class="input-group-btn">
														<button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
													</span>
												</div>
												{% if error_promo_codes[promo_code_row]['end_date'] %}
												<div class="text-danger">
													{{ error_promo_codes[promo_code_row]['end_date'] }}
												</div>
												{% endif %}
											</div>
										</td>

										<td class="text-left"><button type="button" onclick="$('#promo-code-row{{ promo_code_row }}').remove();" data-toggle="tooltip" title="{{ button_promo_code_remove }}" class="btn btn-danger"><i class="fa fa-minus-circle"></i></button></td>
									</tr>
									{% set promo_code_row = promo_code_row + 1 %}
									{% endfor %}
								</tbody>
								<tfoot>
									<tr>
										<td colspan="4"></td>
										<td class="text-left"><button type="button" onclick="addPromoCode();" data-toggle="tooltip" title="{{ button_promo_code_add }}" class="btn btn-primary"><i class="fa fa-plus-circle"></i></button></td>
									</tr>
								</tfoot>
							</table>
						</div>
					</div>
					
				</form>
			</div>

			<div class="panel-footer">
				<div class="text-center">
					<span><b>{{text_php_version}}</b> {{ php_version }}</span>
					<span> | </span>
					<span><b>{{text_curl_version}}</b> {{ curl_version }}</span>
					<span> | </span>
					<span><b>{{text_opencart_version}}</b> {{ opencart_version }}</span>
					<span> | </span>
					<span><b>{{text_last_updated}}</b> {{ last_updated }}</span>
				</div>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript"><!--
var default_callback_url = "{{ default_callback_url }}";

function toggleCallbackUrl(){
	if($("select[name=\"payment_paytm_callback_url_status\"]").val() == "1"){
		$(".callback_url_group").removeClass("hidden");
		$("input[name=\"payment_paytm_callback_url\"]").prop("readonly", false);
	} else {
		$(".callback_url_group").addClass("hidden");
		$("#payment_paytm_callback_url").val(default_callback_url);
		$("input[name=\"payment_paytm_callback_url\"]").prop("readonly", true);
	}
}

$(document).on("change", "select[name=\"payment_paytm_callback_url_status\"]", function(){
	toggleCallbackUrl();
});
toggleCallbackUrl();


var promo_code_row = {{ promo_code_row }};

function addPromoCode() {
	html  = '<tr id="promo-code-row' + promo_code_row + '">';
	html += '  <td class="text-left"><input type="text" name="payment_paytm_promo_codes['+promo_code_row+'][code]" value="" placeholder="{{ entry_promo_code }}" class="form-control" /></td>';
	html += '<td class="text-left"><select name="payment_paytm_promo_codes['+promo_code_row+'][status]" class="form-control"><option value="1" selected="selected">{{ text_enabled }}</option><option value="0">{{ text_disabled }}</option></select></td>';
	html += '<td>'
			+		'<div class="col-sm-12">'
			+			'<div class="input-group date">'
			+				'<input type="text" name="payment_paytm_promo_codes['+promo_code_row+'][start_date]" value="" placeholder="{{ entry_promo_code_start_date }}" data-format="YYYY-MM-DD" id="input-value'+promo_code_row+'" class="form-control" maxlength="10" />'
			+				'<span class="input-group-btn">'
			+					'<button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>'
			+				'</span>'
			+			'</div>'
			+		'</div>'
			+	'</td>'
			+	'<td>'
			+		'<div class="col-sm-12">'
			+			'<div class="input-group date">'
			+				'<input type="text" name="payment_paytm_promo_codes['+promo_code_row+'][end_date]" value="" placeholder="{{ entry_promo_code_end_date }}" data-format="YYYY-MM-DD" id="input-value'+promo_code_row+'" class="form-control" maxlength="10" />'
			+				'<span class="input-group-btn">'
			+					'<button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>'
			+				'</span>'
			+			'</div>'
			+		'</div>'
			+	'</td>';

	html += '  <td class="text-left"><button type="button" onclick="$(\'#promo-code-row' + promo_code_row  + '\').remove();" data-toggle="tooltip" title="{{ button_promo_code_remove }}" class="btn btn-danger"><i class="fa fa-minus-circle"></i></button></td>';
	html += '</tr>';
	
	$('#promo-codes tbody').append(html);
	$('.date').datetimepicker({pickTime: false});
	
	promo_code_row++;
}

$('.date').datetimepicker({pickTime: false});


$(document).ready(function(){
	var active_tab = $(".tab-pane .text-danger").eq(0).parents(".tab-pane").attr("id");
	$("a[href='#"+active_tab+"'").trigger("click");
});

function switchToTab(tab_name){
	$('.nav-tabs a[href="#'+tab_name+'"]').tab('show');
}

//--></script>
{{ footer }}